Upload a file into storage

Prev Next
Post
/v1/EntityImport/{mappingId}/upload

Uploads the file and its metadata into the storage service.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
mappingId
stringRequired

Mapping identifier returned in a successful 201 response from the POST Send file metadata request.

Body parameters
object
file
string (binary) Required

CSV file to upload. Your CSV file must follow the IETF RFC 4180 specification. In particular, if your field contains a double quote:

  • Enclose the entire field in double quotes
  • Add another double quote before each existing double quote in that field

Example:

  • Original field: Company name "Company" Inc
  • Formatted CSV: "Company name ""Company"" Inc"
Responses
201

Created. Returns a JSON body with the uploadId.

404

Mapping ID not found.